#version 150
#extension GL_EXT_gpu_shader4 : enable

//##COMMON_DEFINITIONS_SHADER##

uniform sampler2D textureColorCurve;
uniform sampler2D textureImage[3];

uniform int dissolveMode;
uniform int twistMode;

uniform vec4 viewport;
uniform float baseDistance;

in vec3 vertex;

in float pointSize;
in float colorCurveS;
in float colorCurveT;
in float filterAlpha;
in int paramBit;
in int twistID;

//out vec3 modelview_positionIn;
out float pointSizeIn;
//out vec4 colorIn;
//out vec4 colorDiffuseIn;
//out vec4 colorSpecularIn;

out float colorCurveSIn;
out float colorCurveTIn;
out float filterAlphaIn;

flat out int paramBitIn;
flat out int twistIDIn;

void main(void)
{
    colorCurveSIn = colorCurveS;
    colorCurveTIn = colorCurveT;
    filterAlphaIn = filterAlpha;
    
    gl_Position = vec4(vertex, 1); 
    pointSizeIn = pointSize;
    
    paramBitIn = paramBit;
    twistIDIn = twistID;
}
